<div dir="ltr">I read somewhere that it could have to do with the sse instructions that your processor is capable of, but my processor is not that old, so I would think that is not the problem...<br><br></div><div class="gmail_extra">
<br><br><div class="gmail_quote">On Thu, Jan 17, 2013 at 3:12 PM, Scott Sinclair <span dir="ltr">&lt;<a href="mailto:scott.sinclair.za@gmail.com" target="_blank">scott.sinclair.za@gmail.com</a>&gt;</span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
<div class="im">On 17 January 2013 12:01, Gerhard Burger &lt;<a href="mailto:burger.ga@gmail.com">burger.ga@gmail.com</a>&gt; wrote:<br>
&gt; When I run `numpy.test(verbose=10)` it crashes with<br>
&gt;<br>
&gt;     test_polyfit (test_polynomial.TestDocs) ... Illegal instruction<br>
&gt;<br>
&gt; In the FAQ it states that I should provide the following information<br>
&gt; (running Ubuntu 12.04 64bit):<br>
&gt;<br>
&gt;     <a href="http://os.name" target="_blank">os.name</a> = &#39;posix&#39;<br>
&gt;     uname -r = 3.2.0-35-generic<br>
&gt;     sys.platform = &#39;linux2&#39;<br>
&gt;     sys.version = &#39;2.7.3 (default, Aug  1 2012, 05:14:39) \n[GCC 4.6.3]&#39;<br>
&gt;<br>
&gt; Atlas is not installed (not required for numpy, only for scipy right?)<br>
&gt;<br>
&gt; It fails both when I install numpy 1.6.2 with `pip install numpy` and if I<br>
&gt; install the latest dev version from git.<br>
<br>
</div>Very strange. I tried to reproduce this on 64-bit Ubuntu 12.04 (by<br>
removing my ATLAS, BLAS, LAPACK etc..) but couldn&#39;t:<br>
<br>
$ python -c &quot;import numpy; numpy.test()&quot;<br>
Running unit tests for numpy<br>
NumPy version 1.6.2<br>
NumPy is installed in<br>
/home/scott/.virtualenvs/numpy-tmp/local/lib/python2.7/site-packages/numpy<br>
Python version 2.7.3 (default, Aug  1 2012, 05:14:39) [GCC 4.6.3]<br>
nose version 1.2.1<br>
.........<br>
----------------------------------------------------------------------<br>
Ran 3568 tests in 14.170s<br>
<br>
OK (KNOWNFAIL=5, SKIP=5)<br>
<br>
$ python -c &quot;import numpy; numpy.show_config()&quot;<br>
blas_info:<br>
  NOT AVAILABLE<br>
lapack_info:<br>
  NOT AVAILABLE<br>
atlas_threads_info:<br>
  NOT AVAILABLE<br>
blas_src_info:<br>
  NOT AVAILABLE<br>
lapack_src_info:<br>
  NOT AVAILABLE<br>
atlas_blas_threads_info:<br>
  NOT AVAILABLE<br>
lapack_opt_info:<br>
  NOT AVAILABLE<br>
blas_opt_info:<br>
  NOT AVAILABLE<br>
atlas_info:<br>
  NOT AVAILABLE<br>
lapack_mkl_info:<br>
  NOT AVAILABLE<br>
blas_mkl_info:<br>
  NOT AVAILABLE<br>
atlas_blas_info:<br>
  NOT AVAILABLE<br>
mkl_info:<br>
  NOT AVAILABLE<br>
<br>
Cheers,<br>
Scott<br>
_______________________________________________<br>
NumPy-Discussion mailing list<br>
<a href="mailto:NumPy-Discussion@scipy.org">NumPy-Discussion@scipy.org</a><br>
<a href="http://mail.scipy.org/mailman/listinfo/numpy-discussion" target="_blank">http://mail.scipy.org/mailman/listinfo/numpy-discussion</a><br>
</blockquote></div><br></div>